function FileData_Pairs(x)
{
x.t("dups_ok_acknowledge","tibems_auto_acknowledge");
x.t("extensions","specific");
x.t("pic","(8)");
x.t("library","delay");
x.t("available","topic");
x.t("redeliver","message");
x.t("description","tibems_");
x.t("no_acknowledge","tibems_");
x.t("no_acknowledge","mode");
x.t("callback","namely");
x.t("tibems_","dups_ok_acknowledge");
x.t("tibems_","no_acknowledge");
x.t("tibems_","explicit_client_acknowledge");
x.t("tibems_","auto_acknowledge");
x.t("tibems_","explicit_client_dups_ok_acknowledge");
x.t("tibems_","client_acknowledge");
x.t("topic","sessions");
x.t("program","lazily");
x.t("program","acknowledges");
x.t("until","convenient");
x.t("mode","available");
x.t("mode","session");
x.t("mode","constants");
x.t("mode","messages");
x.t("mode","client");
x.t("mode","behavior");
x.t("type","purpose");
x.t("listener","callback");
x.t("calls","tibemsmsgconsumer_receive");
x.t("calls","returns");
x.t("time","meanwhile");
x.t("explicit_client_acknowledge","tibems_client_acknowledge");
x.t("tibems-explicit-cl-ack","pic");
x.t("acknowledgement","mode");
x.t("acknowledgement","reduce");
x.t("acknowledgement","reduces");
x.t("acknowledgement","server");
x.t("auto_acknowledge","mode");
x.t("however","may");
x.t("however","call");
x.t("automatically","acknowledges");
x.t("require","acknowledgement");
x.t("168","asynchronous");
x.t("cobol","tibems-acknowledge-modes");
x.t("lazy","acknowledgement");
x.t("lazy","means");
x.t("ems","tibems_");
x.t("ems","cobol");
x.t("tibems_auto_acknowledge","session");
x.t("receipt","calling");
x.t("lazily","lazy");
x.t("lazily","acknowledges");
x.t("tibems-acknowledge-modes","tibems-auto-acknowledge");
x.t("synchronous","receive");
x.t("provider","client");
x.t("session","automatically");
x.t("session","tibemsacknowledgemode");
x.t("session","overhead");
x.t("constants","constant");
x.t("transferring","acknowledgement");
x.t("tibems-client-acknowledge","pic");
x.t("acknowledges","receipt");
x.t("acknowledges","messages");
x.t("acknowledges","message");
x.t("acknowledges","individual");
x.t("delay","transferring");
x.t("messages","mode");
x.t("messages","however");
x.t("messages","require");
x.t("messages","received");
x.t("messages","order");
x.t("means","provider");
x.t("processing","finished");
x.t("namely","tibemsmsgcallback");
x.t("tibemsmsg_acknowledge","page");
x.t("chapter","session");
x.t("define","acknowledgement");
x.t("receive","calls");
x.t("may","lazily");
x.t("may","acknowledge");
x.t("tibems-explicit-cl-dups-ok-ack","pic");
x.t("reduce","session");
x.t("tibems_client_acknowledge","client");
x.t("purpose","define");
x.t("calling","tibemsmsg_acknowledge");
x.t("client","library");
x.t("client","program");
x.t("client","may");
x.t("reduces","message");
x.t("message","mode");
x.t("message","lazy");
x.t("message","processing");
x.t("message","calling");
x.t("message","client");
x.t("message","message");
x.t("message","overhead");
x.t("successfully","synchronous");
x.t("tibco","ems");
x.t("tibco","software");
x.t("(8)","comp");
x.t("finished","either");
x.t("sessions","mode");
x.t("tibemsacknowledgemode","type");
x.t("tibemsacknowledgemode","chapter");
x.t("tibemsacknowledgemode","tibemsacknowledgemode");
x.t("far","tibems_");
x.t("convenient","time");
x.t("proprietary","extensions");
x.t("value","tibems-explicit-cl-ack");
x.t("value","tibems-client-acknowledge");
x.t("value","tibems-explicit-cl-dups-ok-ack");
x.t("value","tibco");
x.t("value","tibems-dups-ok-acknowledge");
x.t("value","tibems-no-acknowledge");
x.t("constant","description");
x.t("172","tibems_");
x.t("meanwhile","server");
x.t("specific","tibco");
x.t("explicit_client_dups_ok_acknowledge","mode");
x.t("tibemsmsgconsumer_receive","page");
x.t("page","however");
x.t("page","168");
x.t("page","client");
x.t("page","172");
x.t("page","call");
x.t("overhead","tibems_");
x.t("overhead","server");
x.t("received","far");
x.t("asynchronous","listener");
x.t("tibems-dups-ok-acknowledge","pic");
x.t("client_acknowledge","mode");
x.t("tibems-auto-acknowledge","pic");
x.t("tibems-no-acknowledge","pic");
x.t("tibemsmsgcallback","page");
x.t("call","acknowledges");
x.t("order","mode");
x.t("order","lazy");
x.t("either","calls");
x.t("individual","message");
x.t("returns","successfully");
x.t("acknowledge","messages");
x.t("behavior","proprietary");
x.t("redelivers","messages");
x.t("server","redeliver");
x.t("server","until");
x.t("server","redelivers");
x.t("comp","value");
}
